## e00compr 1.0.0

=== Makefile ===
# Makefile for the Compressed E00 Read/Write library 
#
# $Id: Makefile,v 1.2 1999/02/25 18:57:09 daniel Exp $
#
# $Log: Makefile,v $
# Revision 1.2  1999/02/25 18:57:09  daniel
# Now use CPL for Error handling, Memory allocation, and File access
#
# Revision 1.1  1999/01/08 17:41:17  daniel
# Initial revision
#
#


CC= gcc
CFLAGS= -Wall
LFLAGS= 
AR= ar

LIB_OBJS= e00read.o e00write.o cpl_error.o cpl_conv.o cpl_vsisimple.o
LIB=      e00compr.a

default: all

all: e00conv

$(LIB_OBJS): e00compr.h

e00conv: e00conv.o $(LIB)
	$(CC) $(LFLAGS) -o e00conv e00conv.o $(LIB)

ex_read: ex_read.o $(LIB)
	$(CC) $(LFLAGS) -o ex_read ex_read.o $(LIB)

ex_readcb: ex_readcb.o $(LIB)
	$(CC) $(LFLAGS) -o ex_readcb ex_readcb.o $(LIB)

ex_write: ex_write.o $(LIB)
	$(CC) $(LFLAGS) -o ex_write ex_write.o $(LIB)

ex_writecb: ex_writecb.o $(LIB)
	$(CC) $(LFLAGS) -o ex_writecb ex_writecb.o $(LIB)

.c.o:
	$(CC) -c $(CFLAGS) $<

$(LIB): $(LIB_OBJS)
	rm -f $(LIB)
	$(AR) rc $(LIB) $(LIB_OBJS)

clean:	clean-examples
	rm -f e00conv e00conv.o $(LIB) $(LIB_OBJS)

clean-examples:
	rm -f ex_read ex_read.o ex_readcb ex_readcb.o
	rm -f ex_write ex_write.o ex_writecb ex_writecb.o

## e00compr 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # Makefile for the Compressed E00 Read/Write library 
 #
-# $Id: Makefile,v 1.2 1999/02/25 18:57:09 daniel Exp $
+# $Id: Makefile,v 1.2 1999-02-25 18:57:09 daniel Exp $
 #
 # $Log: Makefile,v $
-# Revision 1.2  1999/02/25 18:57:09  daniel
+# Revision 1.2  1999-02-25 18:57:09  daniel
 # Now use CPL for Error handling, Memory allocation, and File access
 #
 # Revision 1.1  1999/01/08 17:41:17  daniel

=== debian/changelog ===
e00compr (1.0.1-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Update lintian overrides.
  * Mark hardening.patch as Forwarded: not-needed.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2020 19:54:31 +0100

e00compr (1.0.1-5) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 13:56:35 +0200

e00compr (1.0.1-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from changelog.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Add lintian override for debian-watch-uses-insecure-uri.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jul 2018 09:35:01 +0200

e00compr (1.0.1-3) unstable; urgency=medium

  * Team upload.
  * Restructure control file with cme, changes:
    - Update Vcs-* URLs to use HTTPS
  * Bump debhelper compatibility to 9.
  * Update copyright file using copyright-format 1.0.
  * Use minimal dh rules, changes:
    - Enable parallel builds
    - Enable all hardening buildflags
    - Override dh_install to use --list-missing
  * Add gbp.conf to use pristine-tar by default.
  * Bump Standards-Version to 3.9.8, changes:
    - canonical Vcs-* URLs
    - copyright-format 1.0
    - mandatory targets in rules via dh
  * Don't start description synopsis with an article.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 May 2016 15:54:58 +0200

e00compr (1.0.1-2) unstable; urgency=low

  * Removed Paul Wise among uploaders after his request.
  * Policy bumped to 3.9.1, no changes due.
  * Moved from svn to git repository and changed Vcs-* fields.
  * Now using source format 3.0 and quilt.
  * Debhelper level set to 8.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 24 Feb 2011 20:37:50 +0100

e00compr (1.0.1-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release.

  [ Paul Wise ]
  * Drop manual page and use the new upstream one

 -- Paul Wise <pabs@debian.org>  Thu, 19 Feb 2009 14:22:40 +0900

e00compr (1.0.0-8) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 3.8.0.
  * Debhelper moved to version 7, now using dh_prep.

  [ Paul Wise ]
  * add misc:Depends to the dependencies

 -- Paul Wise <pabs@debian.org>  Thu, 19 Feb 2009 14:22:40 +0900

e00compr (1.0.0-7) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * Added Homepage and Vcs-* fields in debian/control
  * Policy bumped to 3.7.3 (no changes)

  [ Paul Wise ]
  * Don't ignore errors in make clean
  * Update the doc-base section

 -- Paul Wise <pabs@debian.org>  Sat, 26 Apr 2008 08:56:58 +0800

e00compr (1.0.0-6) unstable; urgency=low

  * Sigh, missed debian/examples file added to svn repository.
    Now forcing rebuild to include sample code. This is the last upload for today, I guess.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 25 Oct 2006 20:32:25 +0200

e00compr (1.0.0-5) unstable; urgency=high

  * Now install sample code for true.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 25 Oct 2006 16:50:02 +0200

e00compr (1.0.0-4) unstable; urgency=high

  Merged missed changes from svn by Paul Wise:

  	* Make the Homepage conform to the developers reference
  	* Fix the watch file so it works

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 25 Oct 2006 16:33:52 +0200

e00compr (1.0.0-3) unstable; urgency=high

  * Tsk, missing dependency for binary-arch target causes autobuild failure.
    (closes: #395001)
  * Policy bumped to 3.7.2 (no changes)
  * Pabs e-mail updated.
  * debconf compat changed to 5
  * Added binary-indep target to have lintian happy

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 25 Oct 2006 16:11:30 +0200

e00compr (1.0.0-2) unstable; urgency=low

  * Apply endianness fix from Francesco Paolo Lovergine (Closes: #339020)
  * debian/control: Add avce00 to Suggests (Closes: #338551, #339285)
  * debian/control: Add information about E00 files (Closes: #333757)
  * debian/control: Add grass to Enhances

 -- Paul Wise <pabs3@bonedaddy.net>  Tue, 15 Nov 2005 15:43:39 +0800

e00compr (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #329925)
    - Doesn't include a library because only the converter program is
      needed by grass and also upstream does not support building a shared
      version of the library, which are preferred for security reasons.
  * Upload sponsored by Petter Reinholdtsen.

 -- Paul Wise <pabs3@bonedaddy.net>  Sat, 24 Sep 2005 22:33:45 +0800

=== debian/control ===
Source: e00compr
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Alan Boudreault <aboudreault@mapgears.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/e00compr
Vcs-Git: https://salsa.debian.org/debian-gis-team/e00compr.git
Homepage: http://avce00.maptools.org/e00compr/

Package: e00compr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: avce00
Enhances: grass
Description: Program to read/write Arcinfo compressed E00 files
 E00compr is an ANSI C library that reads and writes Arcinfo compressed E00
 files. Both "PARTIAL" and "FULL" compression levels are supported. E00 files
 are the vector import/export format for Arcinfo. It is plain ASCII and is
 meant as an interchange format. ESRI considers the format to be proprietary,
 so this package may not read all E00 files as ESRI may change the format.
 .
 This package is useful for importing E00 files into the grass GIS system.
 .
 It contains the e00conv command-line program, which takes a E00 file as
 input (compressed or not) and copies it to a new file with the requested
 compression level (NONE, PARTIAL or FULL). The library is not included
 at this stage.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += -W -pedantic -D_REENTRANT

%:
	dh $@

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.TXT

=== debian/watch ===
version=3
http://avce00.maptools.org/e00compr/ .*e00compr-([\d.]*)\.tar\.gz debian uupdate
